%global momorel 3
%global qtver 3.3.4
%global qtdir %{_libdir}/qt3
%global kdever 3.4.0
%global ftpdirver 3.4
%global sourcedir stable/%{ftpdirver}/src

Name: kdewebdev
Summary: Web development tools for KDE
Version: %{kdever}
Release: %{momorel}m
Group:   Development/Tools
License: GPL
URL: http://kdewebdev.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 a131b9a14c5da402417b43ed8bc61df1
## mirror site in Japan.
#%%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 a131b9a14c5da402417b43ed8bc61df1
# document
Source1: http://telia.dl.sourceforge.net/sourceforge/%{name}/css.tar.bz2
Source2: http://telia.dl.sourceforge.net/sourceforge/%{name}/html.tar.bz2
Source3: http://telia.dl.sourceforge.net/sourceforge/%{name}/php_manual_en_20030401.tar.bz2
Source4: http://telia.dl.sourceforge.net/sourceforge/%{name}/javascript.tar.bz2
Patch0: javascript.patch
# use mozilla and w3m instead of netscap and lynx as preview browser
Patch10: momonga-quanta-3.1.1-preview-browser.patch

# [Security]
Patch20: post-3.4.0-kdewebdev-kommander-fixed.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: quanta
Requires: kdelibs >= %{kdever}
BuildPreReq: qt-devel >= %{qtver} kdelibs-devel >= %{kdever}
BuildPreReq: libxml2-devel >= 2.6 libxslt-devel

%description
Web development tools for the K Desktop Environment, including

  quanta, an HTML editor 
  kfilereplace, multi file mutli line find and replace
  klinkstatus, 
  kimagemapeditor, a imagemap editor
  kommander, a dialog builder and executor
  kxsldbg, etc.
  
Especially, Quanta Plus (http://quanta.sourceforge.net/) is an HTML editor 
for the K Desktop Environment. This program is designed for quick Web 
development. Its objective is to produce a complete Web development 
environment for active development with a focus on supporting professional 
level development. This means full HTML 4.0 support including cascading style 
sheets and lots of time saving features. 

%prep
%setup -q -a 1 -a 2 -a 3 -a 4

%patch0 -p0 -b .javascript

# use mozilla and w3m instead of netscap and lynx as preview browser
# %%patch10 -p1 -b .preview-browser~

# security fix
%patch20 -p0 -b .untrusted_code

# workaround for automake/autoconf version
perl -p -i -e "s|KDE_AUTOCONF_VERS=\"|KDE_AUTOCONF_VERS=\"-2.59 |g" admin/detect-autoconf.sh
perl -p -i -e "s|KDE_AUTOMAKE_VERS=\"|KDE_AUTOMAKE_VERS=\"-1.9|g" admin/detect-autoconf.sh

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

export CFLAGS="%{optflags} -DNDEBUG -UDEBUG -D_GNU_SOURCE"
export CXXFLAGS="$CFLAGS -fno-use-cxa-atexit"

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-gcov \
	--with-xinerama \
	--with-qt-dir=%{qtdir} \
	--with-qt-includes=%{qtdir}/include \
	--with-qt-libraries=%{qtdir}/lib \
	--with-kommander \
	--disable-debug

%make KDE_NO_UNDEFINED="-Wl,--allow-shlib-undefined"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make transform='s,x,x,' DESTDIR=%{buildroot} install

# install docs
for i in css html javascript ; do
   pushd $i
   ./install.sh <<EOF
%{buildroot}%{_datadir}/apps/quanta/doc
EOF
   popd
   rm -rf $i
done

cp -R php php.docrc %{buildroot}%{_datadir}/apps/quanta/doc

# fix dangling symlinks
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -s ../common $i
   fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig >/dev/null 2>/dev/null

%postun
/sbin/ldconfig >/dev/null 2>/dev/null

%files
%defattr(-,root,root)
%{_bindir}/kfilereplace
%{_bindir}/kimagemapeditor
%{_bindir}/klinkstatus
%{_bindir}/kmdr-editor
%{_bindir}/kmdr-executor
%{_bindir}/kmdr-plugins
%{_bindir}/kxsldbg
%{_bindir}/quanta
%{_bindir}/xsldbg
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/apps/kafkapart
%{_datadir}/apps/kfilereplace
%{_datadir}/apps/kfilereplacepart
%{_datadir}/apps/kimagemapeditor
%{_datadir}/apps/klinkstatus
%{_datadir}/apps/klinkstatuspart
%{_datadir}/apps/kxsldbg
%{_datadir}/apps/kxsldbgpart
%{_datadir}/apps/quanta
%{_datadir}/apps/templates
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/kfilereplace
%{_datadir}/doc/HTML/en/klinkstatus
%{_datadir}/doc/HTML/en/kommander
%{_datadir}/doc/HTML/en/kxsldbg
%{_datadir}/doc/HTML/en/quanta
%{_datadir}/doc/HTML/en/xsldbg
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop

%{_includedir}/*.h
%{_libdir}/*.so.?

%changelog
* Fri May  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- [SECURITY] update Patch20: post-3.4.0-kdewebdev-kommander(-fixed).diff
  http://kde.org/info/security/advisory-20050504-1.txt

* Sat Apr 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-2m)
- [SECURITY] post-3.4.0-kdewebdev-kommander.diff for "Kommander untrusted code execution"
  http://kde.org/info/security/advisory-20050420-1.txt
- modify %%files section

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Thu Oct 14 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- add KDE_NO_UNDEFINED="-Wl,--allow-shlib-undefined" to build with gcc-3.4

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0
- import Patch1 from Fedora Core

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- install document of html, php, javascript and css
  (Source1-4 and Patch1)
- temporaly omit Patch0: momonga-quanta-3.1.1-preview-browser.patch (unappliable)

* Tue Jan 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Sep 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- import to momonga
    HTML Editor
- momonga-quanta-3.1.1-preview-browser.patch(Patch0)
    use mozilla and w3m instead of netscap and lynx as preview browser
